'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _couchbase = require('couchbase');

var _couchbase2 = _interopRequireDefault(_couchbase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var config = require('./database.json');

if (!process.env.COUCHBASE_PORT_8091_TCP_ADDR) {
  throw new Error('COUCHBASE_PORT_8091_TCP_ADDR must be specified');
}

if (!process.env.COUCHBASE_PORT_8091_TCP_PORT) {
  throw new Error('COUCHBASE_PORT_8091_TCP_PORT must be specified');
}

if (!config.couchbase || !config.couchbase.migrationBucket) {
  throw new Error('Your database.json must have a couchbase section with setting migrationBucket');
}

var host = 'couchbase://' + process.env.COUCHBASE_PORT_8091_TCP_ADDR + ':' + process.env.COUCHBASE_PORT_8091_TCP_PORT + '?detailed_errcodes=1';
console.log('Connecting to ' + host + ', opening bucket ' + config.couchbase.migrationBucket);
var cluster = new _couchbase2.default.Cluster(host);
var bucketPassword = config.bucketPassword;
var bucket = bucketPassword ? cluster.openBucket(config.couchbase.migrationBucket, bucketPassword) : cluster.openBucket(config.couchbase.migrationBucket);

exports.default = {
  cluster: cluster, bucket: bucket
};
//# sourceMappingURL=maps/connection.js.map
