'use strict';

var _ottoman = require('ottoman');

var _ottoman2 = _interopRequireDefault(_ottoman);

var _connection = require('./connection');

var _connection2 = _interopRequireDefault(_connection);

var _randomstring = require('randomstring');

var _randomstring2 = _interopRequireDefault(_randomstring);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test script for STATE 1 of data migration testing.
 * Create a simple model, jam a lot of data in.
 */
_ottoman2.default.bucket = _connection2.default.bucket;

var Model = _ottoman2.default.model('Test', {
  oid: { type: 'string', auto: 'uuid', readonly: true },
  number: { type: 'number' },
  name: { type: 'string' },
  renameMe: { type: 'string' },
  removeMe: { type: 'string' }
}, {
  id: 'oid',
  index: {
    findByOid: {
      by: 'oid',
      type: 'n1ql'
    }
  }
});

var promises = [];

_ottoman2.default.ensureIndices(function (err) {
  if (err) {
    console.error('Failed to create ottoman indices: ' + err);
    throw new Error('Nope.');
  }

  var _loop = function _loop(i) {
    var number = Math.random();
    var name = _randomstring2.default.generate({ length: 12, charset: 'alphabetic' });
    var renameMe = _randomstring2.default.generate({ length: 12, charset: 'alphabetic' });
    var removeMe = _randomstring2.default.generate({ length: 12, charset: 'alphabetic' });

    promises.push(new _bluebird2.default(function (resolve, reject) {
      new Model({ name: name, number: number, renameMe: renameMe, removeMe: removeMe }).save(function (err2) {
        if (err2) {
          return reject(err2);
        }
        console.log('Saving record...');
        return resolve(true);
      });
    }));
  };

  for (var i = 0; i < 100; i++) {
    _loop(i);
  }

  return _bluebird2.default.all(promises).then(function () {
    return setTimeout(function () {
      return process.exit(0);
    }, 1000);
  }).catch(function (err2) {
    console.error('Failed to insert records: ' + err2);
    setTimeout(function () {
      return process.exit(1);
    }, 1000);
  });
});
//# sourceMappingURL=maps/create-db-state-1.js.map
